Bug 24281 - halt script breaks RTC set to UTC
Summary: halt script breaks RTC set to UTC
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-18 11:21 UTC by Stefan Sorensen
Modified: 2014-03-17 02:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-18 11:21:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Sorensen 2001-01-18 11:21:38 UTC
/etc/init.d/halt contains the line

  runcmd "Syncing hardware clock to system time" /sbin/hwclock --systohc

This writes the local time to the hardware RTC disregarding that it might 
be set to UTC, giving a clock scew on each shutdown.

A fix would be to do the same as in the rc.sysinit script (and ofcourse
replace --hctosys with --systohc).

Comment 1 Bill Nottingham 2001-01-29 20:16:31 UTC
This is fixed in 5.55-1 or so.


Note You need to log in before you can comment on or make changes to this bug.